﻿//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;
using UnityEngine;

public class CLASSTAG_AuviisSDKWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(AuviisSDK), typeof(UnityEngine.MonoBehaviour));
		L.RegFunction("RecordVoice", FUNCTAG_RecordVoice);
		L.RegFunction("StopRecord", FUNCTAG_StopRecord);
		L.RegVar("Instance", FUNCTAG_get_Instance, null);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_RecordVoice(IntPtr L)
	{
		try
		{
			//Debug.Log("CLASSTAG_AuviisSDKWrap FUNCTAG_RecordVoice");
			AuviisSDK obj = (AuviisSDK)ToLua.CheckObject(L, 1, typeof(AuviisSDK));
#if UNITY_EDITOR
			return 1;
#endif
#if UNITY_ANDROID || UNITY_IPHONE
			AuviisSDK.Auviis_recordVoice();
#endif
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_StopRecord(IntPtr L)
	{
		try
		{
			AuviisSDK obj = (AuviisSDK)ToLua.CheckObject(L, 1, typeof(AuviisSDK));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			//Debug.Log("CLASSTAG_AuviisSDKWrap FUNCTAG_StopRecord: " + arg0.ToString());
#if UNITY_EDITOR
			return 1;
#endif
#if UNITY_ANDROID || UNITY_IPHONE
			if (AuviisSDK.active_voice_channel != arg0)
			{
				AuviisSDK.Auviis_joinChannel(arg0);
				AuviisSDK.active_voice_channel = arg0;
			}
			AuviisSDK.Auviis_stopRecord();
#endif
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_Instance(IntPtr L)
	{
		try
		{
			ToLua.Push(L, AuviisSDK.Instance);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}

